﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinFormsProfileEditor
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void SelectUserImage(object sender, EventArgs e)
        {
            if(OpenImage.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                UserPicture.Load(OpenImage.FileName);
            }
        }

        private void SaveUserProfile(object sender, EventArgs e)
        {
            // Gets the path to save the user profile
            string pathToSave = Environment.GetFolderPath(Environment.SpecialFolder.Desktop);

            var stringBuilder = new StringBuilder();
            stringBuilder.AppendLine("Name: " + NameText.Text);
            stringBuilder.AppendLine("Surname: " + SurnameText.Text);
            stringBuilder.AppendLine("Date of birth: " + BirthDatePicker.Value.ToShortDateString());
            stringBuilder.AppendLine("Status: " + StatusList.SelectedItem);

            using (StreamWriter streamWriter = new StreamWriter(pathToSave + @"\profile.txt", true))
            {
                streamWriter.Write(stringBuilder.ToString());
            }

            MessageBox.Show("Your profile information were saved.");
        }
    }
}
